org.appng.openapi.invoke

## Class ServerConfiguration

- java.lang.Object
- - org.appng.openapi.invoke.ServerConfiguration

-     public class ServerConfiguration
      extends Object

  Representing a Server configuration.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `String` | `description`
    `String` | `URL`
    `Map<String,ServerVariable>` | `variables`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServerConfiguration(String URL, String description, Map<String,ServerVariable> variables)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `URL()` Format URL template using default server variables.
    `String` | `URL(Map<String,String> variables)` Format URL template using given variables.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### URL

          public String URL

    - #### description

          public String description

    - #### variables

          public Map<String,ServerVariable> variables

  - ### Constructor Detail

    - #### ServerConfiguration

          public ServerConfiguration(String URL,
                                     String description,
                                     Map<String,ServerVariable> variables)

      Parameters:
        `URL` - A URL to the target host.
        `description` - A describtion of the host designated by the URL.
        `variables` - A map between a variable name and its value. The value is used for substitution in the server's URL template.

  - ### Method Detail

    - #### URL

          public String URL(Map<String,String> variables)

      Format URL template using given variables.
      Parameters:
        `variables` - A map between a variable name and its value.
      Returns:
        Formatted URL.

    - #### URL

          public String URL()

      Format URL template using default server variables.
      Returns:
        Formatted URL.

Copyright © 2011–2023 aiticon GmbH. All rights reserved.